Skip to main content
GET
/
api
/
credit-schedules
/
by-account
Get CreditSchedule by Account id
curl --request GET \
  --url https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "accountId": "<string>",
  "contractId": "<string>",
  "contractSegmentId": "<string>",
  "bucketId": "<string>",
  "totalBalance": 123,
  "originalTotalBalance": 123,
  "remainingBalance": 123,
  "uom": "<string>",
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "type": "resouce-based-credit",
  "status": "<string>",
  "sourceItemId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Query Parameters

accountId
string
required
fromDate
string<date>
toDate
string<date>

Response

Found the Buckets

id
string

Unique identifier

accountId
string

Account identifier

contractId
string

Contract identifier

contractSegmentId
string

Contract segment identifier

bucketId
string
totalBalance
number<double>

Total balance

originalTotalBalance
number<double>
remainingBalance
number<double>

Remaining balance

uom
string

Unit of measure for resource-based-credit; currency for currency-based-credit

validFrom
string<date>

Valid from date

Example:

"2026-03-05"

validTo
string<date>

Valid to date

Example:

"2026-04-05"

type
enum<string>

Type

Available options:
resouce-based-credit,
currency-based-credit
status
string
sourceItemId
string
createdAt
string<date-time>
createdBy
string
updatedAt
string<date-time>
updatedBy
string